package com.yeejoin.equipmanage.service;


import java.util.List;
import java.util.Map;

/**
 * @author keyong
 * @title: EquipmentInfoOnPlanService
 * <pre>
 * @description: TODO
 * </pre>
 * @date 2022/5/12 11:43
 */
public interface IEquipmentInfoOnPlanService {

    /**
     * 消防炮信息
     * @return
     */
    List<Map<String, Object>> getFireMonitorInfo(Long fireEquipmentId);

    /**
     * 消防泵信息
     * @return
     */
    List<Map<String, Object>> getFirePumpInfo();

    /**
     * 其他设备信息
     * @return
     */
    List<Map<String, Object>> getOtherEquipInfo();

    /**
     * 消防力量和车辆启停信息
     * @return
     */
    Map<String, Object> getFirePowerAndCarInfo();
}
